# Notification

Follow the [general IPN notifications guide](/payin/notification.md) to receive our IPN notification messages. With recurring sub orders, we will also send the parameter  `period`  to specify the current period and  `recurring_status` to specify the status of the recurring order.

#### Recurring Status <a href="#events" id="events"></a>

Whenever an event occurs, we will send you a notification in JSON format using HTTP POST to the notify\_url that you specified in the original request.

We will notify the following events associated with the recurring status:

| Event (Recurring Status) | Description                                         |
| ------------------------ | --------------------------------------------------- |
| ACTIVE                   | Subscription charge success.                        |
| CANCEL                   | Subscription cancelled.                             |
| PAST\_DUE                | Subscription charge failed, subscription cancelled. |
| CLOSE                    | Subscription ended.                                 |

#### Notification Example <a href="#notification-example" id="notification-example"></a>

{% hint style="warning" %}
The following notification is only an example. Different methods and statuses can have more or less parameters in the real notification. Please refer to what you received when testing.
{% endhint %}

```
Content-Type: application/json
Method: POST
Header: Pagsmile-Signature
Body:
{
	"period": "1",
	"amount": "124.99",
	"method": "CreditCard", //CreditCard, Wallet, or PIX
	"recurring_status": "ACTIVE", //One of ACTIVE, CANCEL, PAST_DUE, CLOSE
	"out_trade_no": "TEST20**********3521",
	"trade_status": "SUCCESS",
	"trade_no": "202509***********0078",
	"currency": "BRL",
	"out_request_no": "",
	"app_id": "175850********0945",
	"user": {
		  "buyer_id": "3437",
		  "ip": "2a*********a",
		  "username": "APRO"
	},
	"card": { //Only CreditCard methods return parameter "card" and the associated information.
		  "brand": "visa",
		  "card_no": "424242******4242",
		  "first_six_digits": "424242",
		  "holder": {
					"identification": {},
					"name": "APRO"
			},
			"issuer": "visa",
			"last_four_digits": "4242",
			"preserved": false,
			"valid_thru_month": "12",
			"valid_thru_year": "2025"
	},
	"timestamp": "1759140477"
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/payin/recurring-payment/notification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
